package demo;

import java.io.IOException;
import java.io.PrintWriter;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class PrincipalViewer extends HttpServlet {

	private static final long serialVersionUID = 1L;

		private void processRequest(HttpServletRequest request, HttpServletResponse response)
			    throws ServletException, IOException {
	        response.setContentType("text/html;charset=UTF-8");
	        PrintWriter out = response.getWriter();

	        try {
	            
	        	SessionBeanInterface sessionBean = InitialContext.doLookup("java:global/principal-ear/principal-ejb/SessionBean");

	            out.println("<html>");
	            out.println("<head>");
	            out.println("<title>Principal Viewer</title>");  
	            out.println("</head>");
	            out.println("<body>");
	            out.println("<h1>Principal in EJB = " + sessionBean.getPrincipal().getName() + "</h1>");
	            if (sessionBean.getPrincipal().getName().equals("anonymous")) {
	            	out.println("<h2>session will be invalidated</h2>");
	            	request.getSession(true).invalidate();
	            }
	            out.println("</body>");
	            out.println("</html>");
	            
	        } catch (NamingException ex) {
	            ex.printStackTrace();
	        } finally { 
	            out.close();
	        }			
		}
	
			@Override
		    protected void doGet(HttpServletRequest request, HttpServletResponse response)
		    throws ServletException, IOException {
				processRequest(request, response);
		    } 

		    @Override
		    protected void doPost(HttpServletRequest request, HttpServletResponse response)
		    throws ServletException, IOException {
		        processRequest(request, response);
		    }	
}
